summaryrefslogtreecommitdiffstats
path: root/system/aimage
diff options
context:
space:
mode:
Diffstat (limited to 'system/aimage')
-rw-r--r--system/aimage/README9
-rw-r--r--system/aimage/aimage.SlackBuild75
-rw-r--r--system/aimage/aimage.info8
-rw-r--r--system/aimage/slack-desc19
4 files changed, 111 insertions, 0 deletions
diff --git a/system/aimage/README b/system/aimage/README
new file mode 100644
index 0000000000..270947fd66
--- /dev/null
+++ b/system/aimage/README
@@ -0,0 +1,9 @@
+aimage (the advanced imager) is an imaging tool which is part of AFF, the
+Advanced Forensic Format.
+
+aimage can create files in raw, AFF, AFD, or AFM formats. AFF and AFD
+formats can be compressed or uncompressed. aimage can optionally compress
+and calculate MD5 or SHA-1 hash residues while the data is being copied.
+It has intelligent error recovery, similar to what is in ddrescue.
+
+aimage requires afflib, which is also available at at SlackBuilds.org.
diff --git a/system/aimage/aimage.SlackBuild b/system/aimage/aimage.SlackBuild
new file mode 100644
index 0000000000..10c4d1e551
--- /dev/null
+++ b/system/aimage/aimage.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for aimage
+
+# Copyright 2009 by Barry J. Grundy <bgrundy@linuxleo.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=aimage
+VERSION=3.2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/aimage/aimage.info b/system/aimage/aimage.info
new file mode 100644
index 0000000000..991f35d6cd
--- /dev/null
+++ b/system/aimage/aimage.info
@@ -0,0 +1,8 @@
+PRGNAM="aimage"
+VERSION="3.2.0"
+HOMEPAGE="http://www.afflib.org"
+DOWNLOAD="http://www.afflib.org/downloads/aimage-3.2.0.tar.gz"
+MD5SUM="58218cfc5cfcfdbabb216f1f8c0f9c39"
+MAINTAINER="Barry J. Grundy"
+EMAIL="bgrundy<at>linuxleo.com"
+APPROVED="rworkman"
diff --git a/system/aimage/slack-desc b/system/aimage/slack-desc
new file mode 100644
index 0000000000..0ca12c40d7
--- /dev/null
+++ b/system/aimage/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+aimage: aimage (The Advanced Imager)
+aimage:
+aimage: aimage is an imaging tool which is part of AFF, the Advanced Forensic
+aimage: Format. aimage can create files in raw, AFF, AFD, or AFM formats. AFF
+aimage: and AFD formats can be compressed or uncompressed. aimage can
+aimage: optionally compress and calculate MD5 or SHA-1 hash residues while
+aimage: the data is being copied. It has intelligent error recovery similar
+aimage: to what is in ddrescue.
+aimage:
+aimage: Homepage: http://www.afflib.org
+aimage: